/**
 * 选择项
 */
!(function(){
    /*
     /data  li上存储的数据
     /text  li显示的值
     /grade  评分(多媒体取证评分)
     /title  标题
     /multiselect  是否多选
     /doc  是否文档下载
     /resultClass  要展示的class
     /options  数据
     /clickLi  点击选项的回调
     */
    /*var opt = {
        data:{
            name:"userid",
            value:"user_id"
        },
        text:"role_name",
        selectedFirst:true,
        multiselect:true,
        doc:true,
        resultClass:".chooseuser-table .wbf-td-right",
        options:[{"user_name":"chengbc","other":null,"role_list":"分管总B",
            "real_name":"姓名10441","qt_group":"0","user_id":10441,"role_name":"分管总B"}]，
        clickLi:function(){
        }
    }*/

    var mOptions = window.mOptions = function(opt){
        this.op = opt;
        var _op = this.op.options;
        var _this = this;
        if(Array.isArray(_op) && _op.length > 0 && !_this.op.doc){
            $(_this.op.resultClass).html('<span data-id="'+_op[0][_this.op.data.value]+'">'+_op[0][_this.op.text]+'</span>' + '<i class="fa fa-angle-right"></i>');
        }
        $(_this.op.resultClass).off().on("click",function(){
            _this.op.selectId = $(this).find("span").data("id") + "";
            $("title").html(opt.title[0]);
            SaveTitle();
            _this.init();
            $(".sure-options").off().on("click",function(){
                _this.sureOptions();
            })
        })
    }

    mOptions.prototype.init = function(){
        var _this = this;
        var _op = this.op.options;
        var _str = ''
        if(Array.isArray(_op) && _op.length > 0){
            _op.forEach(function(d){
                _str += '<li data-'+ _this.op.data.name +'="'+ d[_this.op.data.value] +'"><span>'+ d[_this.op.text] +'</span></li>';
            })
        }
        if($(".options-page").length > 0){
            $(".options-page").remove();
        }
        if(_str === ""){
            _str = '<p style="text-align: center;margin-top: 20px">暂无数据!</p>';
        }
        var _html = '<div class="run-main options-page" style="display: none">' +
            '<div class="table-con" style="background-color: #FFFFFF;flex: 0.92"><ul class="run-options">'+_str+'</ul>' +
            '</div><div class="run-submit" style="border-top: 1px solid #e9e9e9">' +
            '<button class="sub-btn all-btn sure-options">确定</button></div></div>';
        $("body").append(_html);

        if(_this.op.doc || !_this.op.multiselect){
            $(".sure-options").parent().remove();
            $(".options-page .table-con").css("flex","1");
        }

        if(_this.op.selectId && !_this.op.doc){
            var _selectId = _this.op.selectId.split(",");
            $(".run-options li").each(function(){
                var _that = this;
                if(Array.isArray(_selectId)){
                    _selectId.forEach(function(d){
                        if($(_that).data(_this.op.data.name) + "" === d){
                            $(_that).addClass("active");
                        }
                    })
                }
            })
        }

        $(".run-options li").off().on("click",function(){
            var _that = $(this);
            if(_this.op.doc){
                if(_this.networkType(localStorage.networkType)()){
                    var pj_id = JSON.parse(localStorage.pjobj).pj_id;
                    var cwAppDBselect = new CwAppDB();
                    var _turl = _that.data("id")+"";
                    cwAppDBselect.SelectKey("filename",_turl,function(key,value){
                        if(value){
                            OpenDocFile(value);
                            plus.nativeUI.alert("该文档是APP中临时缓存的文件，不可编辑上传");
                        }else{
                           /* var _data = "userId=" + (JSON.parse(localStorage.userData).user_id || "") +
                                "&fileUrl=D:/abc.txt&pjcode=&name=abc.txt";*/
                            var _url = GlobalUrl() + "pub/getfile";
                           /* var _formatNmae = encodeURI(_that.find("span").text());*/
                            var _typeIndex = _that.find("span").text().lastIndexOf(".");
                            var _newName = _that.find("span").text().substring(_typeIndex);
                            _newName = new Date().getTime() + _newName;
                            var _data = "userId=" + (JSON.parse(localStorage.userData).user_id || "") +
                                "&fileUrl=" + _that.data("id") + "&pjcode=&st=2&name=" + _newName;
                            DownloadFile(_url,pj_id,_data,function(filename){
                                var cwAppDB=new CwAppDB();
                                cwAppDB.InsertOrUpdate("filename",_turl,filename);
                                OpenDocFile(filename);
                                plus.nativeUI.alert("该文档是APP中临时缓存的文件，不可编辑上传");
                            });
                        }
                    });
                }
            }else{
                _this.isMultiselect($(this),_this.op.multiselect);
                if(!_this.op.multiselect){
                    _this.sureOptions();
                    if(_this.op.grade){
                        _getGradeTotal(JSON.parse(localStorage.gradeTotal));
                    }
                }
                if(typeof _this.op.clickLi === "function"){
                    _this.op.clickLi(_that.data("id")+"");
                }
            }
        });
        $(".run-main:first,.run-deduction").hide();
        $(".options-page").show();
    }

    mOptions.prototype.networkType = function(networkType){
        //网络状态,取值为：未知、未连接网络、有线网络、WiFi网络、2G蜂窝网络、3G蜂窝网络、4G蜂窝网络
        switch (networkType + ""){
            case "有线网络":
            case "WiFi网络":
            case "未连接网络":
                return function(){
                    return true;
                }
                break;
            default :
                return function(){
                    return confirm("该操作会消耗流量，是否继续？");
                }
            break;
        }
    }

    mOptions.prototype.sureOptions = function(){
        var _this = this;
        var _selected = $(".run-options li");
        var _se = [];
        _selected.each(function(){
            if($(this).hasClass("active")){
                _se.push({
                    id:$(this).data(_this.op.data.name),
                    val:$(this).text()
                });
            }
        })
        var _id = [];
        var _val = [];
        _se.forEach(function(d){
            _id.push(d.id);
            _val.push(d.val);
        })
        $(_this.op.resultClass).html('<span data-id="'+_id.join(",")+'">'+_val.join(",")+'</span>' + '<i class="fa fa-angle-right"></i>');
        $("title").html(_this.op.title[1]);
        SaveTitle();
        if($("title").html() == "异常扣分"){
            $(".run-deduction").show();
            $(".options-page").hide();
            return;
        }
        $(".run-main:first").show();
        $(".options-page").hide();
    }

    mOptions.prototype.isMultiselect = function(selector,b){
        if(!b){
            $(".run-options li").removeClass("active");
        }
        if( $(selector).hasClass("active")){
            $(selector).removeClass("active");
        }else{
            if(b === "filter"){
                $(".run-options li").removeClass("active");
            }
            $(selector).addClass("active");
        }
    }
})();