var _t_no_back_btn = ["珠航智慧校车", "我的", "车次信息", "加油申请【加油员】", "意见反馈&nbsp", "我的信息"]; //不显示后退按钮的
var _t_no_back = ['报销']; //显示后退按钮的

var _confirm = function() {
	var btn = ["确定", "取消"];
	mui.confirm('确认关闭当前窗口？', '提示', btn, function(e) {
		if(e.index == 0) {
			Utils.removeLocalStorage();
			try { //清掉title文件记录
				mui.init({});
				mui.plusReady(function() {
					plus.io.requestFileSystem(plus.io.PRIVATE_DOC, function(fs) {
						fs.root.getFile('title.config', {
							create: true
						}, function(fileEntry) {
							//开始写入文件  (覆盖式写入)
							fileEntry.createWriter(function(writer) {
								writer.write(""); //清空标题文件记录
							}, function(e2) {});
						});
					}, function(exp3) {});
				});
			} catch(exp3) {}
			plus.runtime.quit(); //退出APP
		}
	});
};

var _back_fn = {
	"no_back_btn": function(title) { //可以退出的
		try {
			_confirm();
		} catch(exp5) {
			alert(exp5);
		}
	},
	"no_back": function() { //需要监听退出按钮的
		try {
			mui.plusReady(function() {
				var list = plus.webview.getWebviewById('Child');
				list.evalJS('resetback();');
			});
		} catch(exp5) {
			alert(exp5);
		}
	},
	"other_situation": function() { //直接返回前一页
		mui.plusReady(function() {
			var list = plus.webview.getWebviewById('Child');
			console.log(JSON.stringify(list));
			list.back();
		});
	}
};

mui.back = function() { //页面的后退事件或者退出事件
	$("#header .nvbt").removeClass("iback");
	try {
		var _title = $("#header .nvtt").html();
		if(_t_no_back_btn.indexOf(_title) > -1) {
			$("#header .nvbt").removeClass("iback");
//			$(".NewBtn").hide();
			_back_fn["no_back_btn"](_title);
		} else if(_t_no_back.indexOf(_title) > -1) {
			_back_fn["no_back"]();
		} else {
			_back_fn["other_situation"]();
		}
	} catch(exp) {}
	return false;
};

$(document).on("click", ".NewBtn", function() { //右上角按钮的单击事件（过滤，评分试算，添加扣分项）
	try {
		if($(this).html() == "切换学生") {
		}
	} catch(exp) {
		alert(exp);
	}
});

//控制右上角的文字是否显示，以及显示的内容，和点击事件
function titControl() {
	var _title = $("#header .nvtt").html();
	if(_t_no_back_btn.indexOf(_title) > -1) {
		$("#header .nvbt").removeClass("iback");
//		$(".NewBtn").hide();
	} else {
		$("#header .nvbt").addClass("iback");
	}
}

//初始化调方法
function initCalback(initUrl){
	console.log(initUrl);
	mui.init({
		backbutton: true, //打开back按键监听
		beforeback: function() { //拦截手机的返回键事件（在返回键按下时触发）
			//返回true，继续页面关闭逻辑
			return false;
		},
		keyEventBind: {}, //按键监听
		subpages: [{
			url: initUrl, //子页面HTML地址，支持本地地址和网络地址
			id: "Child", //子页面标志
			styles: {
				top: '44px', //子页面顶部位置
				bottom: '1px', //子页面底部位置
				width: "100%", //子页面宽度，默认为100%
				left: "0px"
			}
		}]
	});
}

//自动登录
function autoLogin(userName, userPwd) {
	$.ajax({
		url: GlobalUrl() + "PublicAction/pgLogin",
		type: "post",
		async: false,
		dataType: "json",
		timeout: 1000 * 20,
		data: {
			"username": userName,
			"PgPass": userPwd,
			"IMEI": getIMEI() || ""
		},
		success: function(data) {
			var initUrl = "./moudle/login/login.html";//自动登录失败跳转到login页面
			console.log(JSON.stringify(data));
			if(data.status == "200") {
				localStorage.setItem("userData", JSON.stringify(data.data));
				//上面的登录验证完毕之后，执行下面的方法
				var timeNum = new Date().getTime(); //获得当前时,间
				localStorage.loginTime = timeNum; //记录登录时间
				localStorage.islogin = 1; //登录成功
				//验证通过之后，跳转到首页
				console.log(data.data.isleader);
				if(data.data.isleader == "0" || data.data.isleader == 0) {
					localStorage.isLeader = "yes";
					localStorage.isSecondPage = "yes"
				} else {
					localStorage.isLeader = "no";
				}
				localStorage.userName = userName;
				localStorage.userPwd = userPwd;
				localStorage.we = JSON.stringify(data.data.student);
				if(data.data.ac_type == "家长") {
					console.log(JSON.stringify(data.data.student))
					if(data.data.student == "" || data.data.student == undefined) {
						initUrl = "./moudle/patriarch/validate.html";
					} else {
						localStorage.student = JSON.stringify(data.data.student);
						initUrl = "./moudle/patriarch/patriach_home.html"; //进入首页，并且不缓存历史
					}
					initCalback(initUrl);
				} else if(data.data.ac_type == "车务组") {
					initUrl = "./moudle/homepage/homepage-VehicleTeam.html"; //进入首页，并且不缓存历史
					initCalback(initUrl);
				} else if(data.data.ac_type == "加油员") {
					initUrl = "./moudle/Boyoil/oilIndex.html"; //进入首页，并且不缓存历史
					initCalback(initUrl);
				} else if(data.data.ac_type == "管理员") {
					initUrl = "./moudle/homepage/homepage-manger.html"; //进入首页，并且不缓存历史
					initCalback(initUrl);
				} else if(data.data.ac_type == "运营经理") {
					initUrl = "./moudle/homepage/homepage-Operate.html?disId=" + data.data.employee.dis_id; //进入首页，并且不缓存历史 
					initCalback(initUrl);
				} else if(data.data.ac_type == "司机" || data.data.ac_type == "车队长") {
					console.log(JSON.stringify(data));
					initUrl = "./moudle/homepage/homepage.html"; //进入首页，并且不缓存历史
					initCalback(initUrl);
					if(data.status == "200") {
						var resdata = {
							"ep_id": data.data.employee.ep_id,
							"startTime": getNowFormatDate(-1),
							"stopTime": getNowFormatDate()
						}
						console.log(JSON.stringify(resdata));
						Utils.getHttp("PublicAction/getLiceseNOByTime")(resdata, function(httpdata) {
							console.log(JSON.stringify(httpdata));
							if(httpdata.status == "200") {
								var res = httpdata.data;
								localStorage.SlicenseNumber = res.licenseNumber;
								localStorage.offRunningNumber = res.offRunningNumber;
							} else {
								localStorage.SlicenseNumber = "";
								localStorage.offRunningNumber = "";
							}
							console.log(1);
							Utils.getHttp("PublicAction/getEmployeeInfoByEmpId")({
								"ep_id": data.data.employee.ep_id
							}, function(httpdata2) {
								console.log(JSON.stringify(httpdata2));
								if(httpdata2.status == "200") {
									localStorage.carboyinfo = JSON.stringify(httpdata2.data);
								}
							})
						})
					} else {
//						plus.nativeUI.alert(data.msg);
						initCalback(initUrl);
					}
				} else {
//					mui.toast("您的账号暂时无法登陆app,请见谅");
					initCalback(initUrl);
				}
			} else {
//				plus.nativeUI.alert(data.msg);
				initCalback(initUrl);
			}
		},
		error: function(e) {
//			plus.nativeUI.alert("服务连接失败!");
			initCalback(initUrl);
		}
	});
}