!(function(){
    window.mTable = function(opts){
        this.opt = opts;
        this.appendTheadHtml();
        this.appendTbodyHtml();
        this.appendAbsolute();
        this.html();
    }

    mTable.prototype.appendTheadHtml = function(){
        var _title = "";
        var _this = this;
        _this.opt.columns.forEach(function(d){
            if(d.checkbox){
                _this.checkbox = true;
                _title += "<th><input type='checkbox'></th>"
            }else{
                _title += "<th>"+ d.name+"</th>"
            }
        })
        _this.theadHtml = "<thead><tr>"+_title+"</tr>></thead>>"
    }

    mTable.prototype.appendTbodyHtml = function(){
        var _this = this;
        var _tr = "";
        _this.opt.data.forEach(function(d){
            var _td = "";
            d.forEach(function(e,i){
                if(_this.checkbox && i==0){
                    _td += "<td><input type='checkbox'></td>";
                }
                _td += "<td>"+e+"</td>";
            })
            _tr += "<tr>"+_td+"</tr>";
        })
        _this.tbodyHtml = "<tbody>"+_tr+"</tbody>>"
    }

    mTable.prototype.appendAbsolute = function(){
        if(this.opt.coverTable && this.opt.coverTable != ""){
            var _this = this;
            var _ab_theadHtml = "";
            var _ab_tbodyHtml = "";
            var fixedArr = [];
            var _ck = false;
            _this.opt.columns.forEach(function(d,i){
                if(d.fixed){
                    if(d.name == "checkbox"){
                        _ck = true;
                        _ab_theadHtml += '<th><input type="checkbox" /></th>';
                    }else{
                        _ab_theadHtml += '<th>'+ d.name+'</th>';
                        fixedArr.push(i);
                    }
                }
            });
            _this.opt.data.forEach(function(e){
                var _str = "";
                if(_ck){
                    _str += '<td><input type="checkbox" /></td>';
                }
                e.forEach(function(da,i){
                    fixedArr.forEach(function(data){
                        if(i == data){
                            _str += '<td>'+da+'</td>';
                        }
                    });
                });
                _ab_tbodyHtml += "<tr>"+_str+"</tr>";
            });
            $(_this.opt.coverTable).html("<thead><tr>"+_ab_theadHtml+"</tr></thead><tbody>"+_ab_tbodyHtml+"</tbody>");
        }
    }

    mTable.prototype.html = function(){
        $(this.opt.target).html(this.theadHtml + this.tbodyHtml);
    }
})();