//取消浏览器的所有事件，使得active的样式在手机上正常生效
document.addEventListener('touchstart', function() {
	return false;
}, true);
// 禁止选择
document.oncontextmenu = function() {
	return false;
};
/**
 * 跳转新的页面
 * @param {Object} url  新页面地址
 */
function clickToNewPage(url) { //-----------------------------------------------------------------------
	window.location.href = url;
}
/**
 * 获取手机的唯一标识符
 */
function getIMEI() {
	try {
		var epId = plus.device.imei.split(",")[0] || plus.device.imei; // 获取设备ID
		if(plus.os.name.toLocaleLowerCase() == "ios") {
			epId = plus.device.uuid; // 获取设备ID
			var uuids = epId.split("-");
			epId = uuids[0] + "-" + uuids[uuids.length - 1];
		}
		return epId;
	} catch(epx) {
		return ""
	}
}

/////////////////////////将当前页面的title写入文件，供给main页面来获取并显示(部分安卓机上使用getTitle是获取不到的，"H5+"框架的兼容性有问题)
function SaveTitle() {
	try {
		mui.init({});
		mui.plusReady(function() {
			plus.io.requestFileSystem(plus.io.PRIVATE_DOC, function(fs) {
				fs.root.getFile('title.config', {
					create: true
				}, function(fileEntry) {
					//开始写入文件  (覆盖式写入)
					fileEntry.createWriter(function(writer) {
						writer.write(document.title); //将当前页面的标题写入文件
					}, function(e2) {});
				});
			}, function(exp) {
				alert("错误: " + exp.message);
			});
		});
	} catch(exp3) {}
}
SaveTitle();

/**
 * 密码混淆加密
 * @param {Object} pw
 */
function mixPassword(pw) {
	var _arr = [
		["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"],
		["ABCDEFGHIJKLMNOPQRSTUVWXYZ"],
		["abcdefghijklmnopqrstuvwxyz"],
		["*", "-", "&", "?"]
	];
	var _a = pw.split("");
	if(_a && _a.length) {
		var _str = "";
		_a.forEach(function(d, i) {
			var _a = "";
			var _s = "";
			var _r = "";
			for(var i = 0; i < 5; i++) {
				_a = _arr[Math.floor(Math.random() * 4)];
				if(_a.length === 1) {
					_s = _a[0].charAt(Math.floor(Math.random() * 24));
				} else {
					_s = _a[Math.floor(Math.random() * _a.length)];
				}
				_r += _s;
			}
			_str += _r + d;
		});
		return _str;
	}
	return "";
}

/**
 * 解密密码
 */
function decryptPassword(pw){
	var EncodePass="";
	for (var i = 5; i < pw.length; i++) {
		EncodePass += pw.substring(i, i+1);
		i=i+5;
	}
	return EncodePass;
}

/** 
 * 获取指定的URL参数值 
 * 参数：paramName URL参数 
 * 调用方法:getParam("name") 
 * 返回值:tyler 
 */
function getParam(paramName) {
	paramValue = "", isFound = !1;
	if(this.location.search.indexOf("?") == 0 && this.location.search.indexOf("=") > 1) {
		arrSource = unescape(this.location.search).substring(1, this.location.search.length).split("&"), i = 0;
		while(i < arrSource.length && !isFound) arrSource[i].indexOf("=") > 0 && arrSource[i].split("=")[0].toLowerCase() == paramName.toLowerCase() && (paramValue = arrSource[i].split("=")[1], isFound = !0), i++
	}
	return paramValue == "" && (paramValue = null), paramValue
}

function objToArr(_objToArr) {
	var arr = [];　　
	for(var i in _objToArr) {　　
		var str = _objToArr[i] // i 就代表 data 里面的 user pass 等等 而data[ i ] 就代表 userName    12121 就是 i 所对应的值；
		　　 arr.push(str);
	}
	return arr
}

function objToArr2(_objToArr) {
	var arr = [];　　
	for(var i in _objToArr) {　　
		var str = _objToArr[i] // i 就代表 data 里面的 user pass 等等 而data[ i ] 就代表 userName    12121 就是 i 所对应的值；
		　　 arr.push(str);

		var jk = _objToArr[i];

		if($("." + i).length > 0) {
			$("." + i).val(jk);
			$("." + i).html(jk);
		}

	}
	return arr
}

function getNowFormatDate(addmonth) {
	var date = new Date();
	var seperator1 = "-";
	var seperator2 = ":";
	if(addmonth) {
		var month = date.getMonth() + 1 + addmonth;
	} else {
		var month = date.getMonth() + 1;
	}
	var strDate = date.getDate();
	if(month >= 1 && month <= 9) {
		month = "0" + month;
	}
	if(strDate >= 0 && strDate <= 9) {
		strDate = "0" + strDate;
	}
	var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate +
		" " + date.getHours() + seperator2 + date.getMinutes() +
		seperator2 + date.getSeconds();
	return currentdate;
}

//车牌号校验正则表达式
function isVehicleNumber(vehicleNumber) {
	var result = false;
	if(vehicleNumber.length == 7) {
		var express = /^[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}[A-Z0-9]{4}[A-Z0-9挂学警港澳]{1}$/;
		result = express.test(vehicleNumber);
	}
	if(result == false) {
		if(vehicleNumber.length == 0) {
			plus.nativeUI.toast("车牌号不能为空!", {
				duration: "long",
				verticalAlign: "center"
			});
			$(".SlicenseNumber").parents("li").addClass("info");
		} else {
			plus.nativeUI.toast("请输入正确车牌号!", {
				duration: "long",
				verticalAlign: "center"
			});
		}
	}else{
		$(".SlicenseNumber").parents("li").removeClass("info");
	}
	return result;
}

//防止按钮点击恶意多次重复点击提交

function refuseBtn(refuseBtn1, refuseBtn2) {
	//	if(refuseBtn2 == 1){
	//		console.log(refuseBtn1);
	//	var refuseBtn = $(refuseBtn1);
	//	refuseBtn.css("background-color","#ededed");
	//	refuseBtn.attr("disabled","disabled");
	//	setTimeout(function(){
	//	refuseBtn.removeAttr("disabled");		
	//	refuseBtn.css("background-color","#f9e014");
	//	 
	//	},5000)
	//	}else{
	//	console.log(refuseBtn1);
	//	var refuseBtn = $("#"+refuseBtn1.btnClass);
	//	refuseBtn.css("background-color","#ededed");
	//	var click = refuseBtn.attr("onclick");
	//	refuseBtn.removeAttr("onclick");
	//	setTimeout(function(){
	//	refuseBtn.css("background-color","#f9e014");
	//	refuseBtn.attr("onclick","B"+refuseBtn1.btnClass+"("+JSON.stringify(refuseBtn1)+")");		 
	//	},5000)
	//	}

}

function jiayou(arr) {

	var _b = true;
	var _i = 0;
	arr.forEach(function(d, i) {
		var jk = d.toString().split(".");
		if(jk[1]) {
			var number = d.toString().split(".")[1].length;
		}
		var number2 = d.toString().split(".")[0];
		if(number > 2) {
			_b = false;
		}
		if(number2 < 0 || number2 > 200) {
			_b = false;
		}
	});
	if(!_b) {
		plus.nativeUI.toast("加油量在200L内", {
			duration: "long",
			verticalAlign: "center"
		});
	}
	return _b;

}

function price(arr) {

	var _b = true;
	var _i = 0;
	arr.forEach(function(d, i) {
		var jk = d.toString().split(".");
		if(jk[1]) {
			var number = d.toString().split(".")[1].length;
		}
		var number2 = d.toString().split(".")[0];
		if(number > 2) {
			_b = false;
		}
		if(number2 < 0 || number2 > 9999999) {
			_b = false;
		}
	});
	if(!_b) {
		plus.nativeUI.toast("金额不可超过八位数", {
			duration: "long",
			verticalAlign: "center"
		});
	}
	return _b;

}

function xiaoshu(arr) {

	var _b = true;
	var _i = 0;
	arr.forEach(function(d, i) {
		var jk = d.toString().split(".");
		if(jk[1]) {
			var number = d.toString().split(".")[1].length;
		}
		var number2 = d.toString().split(".")[0];
		if(number > 2) {
			_b = false;
		}
		if(number2 < 0) {
			_b = false;
		}
	});
	if(!_b) {
		plus.nativeUI.toast("不可以输入小于0或超过两位的小数", {
			duration: "long",
			verticalAlign: "center"
		});
	}
	return _b;

}

function senSaveTitle(zhxcTitle) {
	try {
		mui.init({});
		mui.plusReady(function() {
			plus.io.requestFileSystem(plus.io.PRIVATE_DOC, function(fs) {
				fs.root.getFile('title.config', {
					create: true
				}, function(fileEntry) {
					//开始写入文件  (覆盖式写入)
					fileEntry.createWriter(function(writer) {
						writer.write(zhxcTitle); //将当前页面的标题写入文件
					}, function(e2) {});
				});
			}, function(exp) {
				alert("错误: " + exp.message);
			});
		});
	} catch(exp3) {}
}

/**
 * 录像
 */
function getVideo() { //---------------------------------------------------------------------------------------------
	//alert('开始录像：');
	var cmr = plus.camera.getCamera();

	cmr.startVideoCapture(function(p) {
		//alert('成功：'+p);//P是文件的存储全路劲
		plus.io.resolveLocalFileSystemURL(p, function(entry) {
			createItemC(entry);
		}, function(e) {
			alert('读取录像文件错误：' + e.message);
		});
	}, function(e) {
		//alert('失败：'+e.message);
	}, {
		filename: '_doc/camera/',
		index: 1,
		resolution: "960*1280",
		format: "mp4"
	}); //设置分辨率和格式
}

/**
 * 打电话
 */
function dialPhone(phoneNum) {
	plus.nativeUI.confirm("是否拨打电话", function(e) {
		if(e.index == 0) {
			plus.device.dial(phoneNum, true);
		} else {

		}
	}, "拨打电话", ["是", "否"])
}