!(function() {
	var GlobalUrl = window.GlobalUrl = function() {
//		return "http://svn.coreware.cn:3222/zhxc/"
//      return "http://192.168.1.102:8888/zhxc/"
//      return "http://39.108.83.236:8080/zhxc/"
        return "http://120.78.216.158:80/zhxc/"
	}

	var Utils = window.Utils = {
		isSecondPage: function(isSecondPage) {
			$(document).on("touchend", function() {
				if($(".mcontent").attr("style").indexOf("translate3d(0px, 0px, 0px)") > -1 || $(".mcontent").attr("style").indexOf("translate3d(0px, 0, 0)") > -1) {
					setTimeout(function() {
						$(".dianBox div:last-child").css("background", "#AAA");
					}, 1000 * 0.4);
						$(".dianBox div:first-child").css("background", "#0c7bca");
					localStorage[isSecondPage] = undefined;
				} else {
					setTimeout(function() {
						$(".dianBox div:first-child").css("background", "#AAA");
						$(".dianBox div:last-child").css("background", "#0c7bca");
					}, 1000 * 0.4);
					localStorage[isSecondPage] = "yes";
				}
			});
		},
		initTab: function() {
			if(localStorage.isSecondPage == "yes") {
				new mTabs({
					mtab: '#tabs2',
					mhead: '#tabs2 .mhead',
					mcontent: '#tabs2 .mcontent',
					index: 1
				});
				$(".dianBox div:first-child").css("background", "#AAA");
				$(".dianBox div:last-child").css("background", "#0c7bca");
			} else {
				new mTabs({
					mtab: '#tabs2',
					mhead: '#tabs2 .mhead',
					mcontent: '#tabs2 .mcontent'
				});
			}
		},
		showDialog: function(op) {
			var options = "";
			op.options.forEach(function(e) {
				options += "<li class=" + e.class + " onclick=" + e.clickFn + ">" + e.content + "</li>";
			})
			$(".run-main").append('<div class="run-delete animated fadeInUp ' + op.dialogClass + '"><ul>' + options + '</ul></div>')
			$(op.clickButton).on("click", function(e) {
				$(".run-mask").show();
				$("." + op.dialogClass).show();
				e.stopPropagation();
			});
			$(".del-cancel").on("click", function() {
				$(".run-mask").hide();
				$("." + op.dialogClass).hide();
			});
		},
		getPjState: function(str) {
			if(localStorage.pjStateList) {
				var _arr = JSON.parse(localStorage.pjStateList);
				var _val = "";
				_arr.forEach(function(d) {
					if(str == d.value) {
						_val = d.value;
					}
				});
				return _val;
			}
		},
		getPjAudit: function(str) {
			if(localStorage.auditList) {
				var _arr = JSON.parse(localStorage.auditList);
				var _val = "";
				_arr.forEach(function(d) {
					if(str + "" == d.value) {
						_val = d.name;
					}
				});
				return _val;
			}
		},
		formattNullStr: function(str) {
			if(str === null || str === "null" || str === undefined || str === "undefined") {
				return "";
			}
			return str;
		},
		formattTime: function(time) {
			return time.split(".")[0];
		},
		getObjByParamInCache: function(op) {
			var _obj = {};
			for(var key in op) {
				var ls = JSON.parse(localStorage[key]);
				op[key].forEach(function(d, i) {
					for(var _key in d) {
						_obj[d[_key]] = ls[_key] || "";
					}
				})
			}
			return _obj;
		},
		onEnterDown: function(fn) {
			$(document).on("keydown", function(e) {
				if(e.keyCode == 13) {
					fn();
				}
			})
		},
		compose: function(fn1, fn2) {
			return function() {
				fn1(fn2(arguments));
			}
		},
		muiReady: function(fn) {
			mui.plusReady(function() {
				fn();
			});
		},
		showWaiting: function() {
			var args = arguments[0];
			return function() {
				plus.nativeUI.showWaiting(args[0]);
			}
		},
		closeWaiting: function() {
			return function() {
				mui.plusReady(function() {
					plus.nativeUI.closeWaiting();
				})
			}
		},
		alert: function() {
			var args = arguments[0];
			return function() {
				plus.nativeUI.alert(args[0]);
			}
		},
		confirm: function() {
			var args = arguments[0];
			return function() {
				plus.nativeUI.confirm(args[0], args[1]);
			}
		},
		removeLS: function(arr) {
			arr.forEach(function(d) {
				localStorage.removeItem(d);
			});
		},
		getHttp: function(getHttPurl) {

			//          setTimeout(function(){
			//      	        mui.plusReady(function() {
			//              plus.nativeUI.closeWaiting();
			//            })                      
			//                              	
			//          },3000)
			return function(param, fn) {

				var jqxhr = $.ajax({
					url: GlobalUrl() + getHttPurl,
					type: "post",
					dataType: "json",
					//                  dataType: "text",                    
					//                  timeout : 1000 * 20,
					data: param,
					success: function(data) {
						Utils.compose(Utils.muiReady, Utils.closeWaiting)();
						setTimeout(function() {
							fn(data);
						})

					},
					beforeSend: function() {
						Utils.compose(Utils.muiReady, Utils.showWaiting)("正在请求数据...");
					},
					error: function(e) {

						Utils.compose(Utils.muiReady, Utils.closeWaiting)();
						//                      Utils.compose(Utils.muiReady,Utils.alert)("服务连接失败");
					},
					complete: function() {
						Utils.compose(Utils.muiReady, Utils.closeWaiting)();
					}
				}).always(function() {
					Utils.compose(Utils.muiReady, Utils.closeWaiting)();
				});
				jqxhr.always(function() {
					Utils.compose(Utils.muiReady, Utils.closeWaiting)();
				});
			}
		},
		getGetMethodHttp: function(getHttPurl) {

			//          setTimeout(function(){
			//      	        mui.plusReady(function() {
			//              plus.nativeUI.closeWaiting();
			//            })                      
			//                              	
			//          },3000)
			return function(param, fn) {

				var jqxhr = $.ajax({
					url: GlobalUrl() + getHttPurl,
					type: "get",
					dataType: "json",
					data: param,
					success: function(data) {
						Utils.compose(Utils.muiReady, Utils.closeWaiting)();
						setTimeout(function() {
							fn(data);
						})

					},
					beforeSend: function() {
						Utils.compose(Utils.muiReady, Utils.showWaiting)("正在请求数据...");
					},
					error: function(e) {

						Utils.compose(Utils.muiReady, Utils.closeWaiting)();
						//                      Utils.compose(Utils.muiReady,Utils.alert)("服务连接失败");
					},
					complete: function() {
						Utils.compose(Utils.muiReady, Utils.closeWaiting)();
					}
				}).always(function() {
					Utils.compose(Utils.muiReady, Utils.closeWaiting)();
				});
				jqxhr.always(function() {
					Utils.compose(Utils.muiReady, Utils.closeWaiting)();
				});
			}
		},
		isCacheInvalid: function(c) {
			if(c === "undefined" || c === undefined || c === null) {
				return "";
			}
			return c;
		},
		disableSubmit: function(bt) {
			$(bt).attr("type", "button").attr("disabled", "disabled");
		},
		recoverySubmit: function(bt) {
			var timer = null;
			clearInterval(timer);
			timer = setTimeout(function() {
				$(bt).removeAttr("disabled");
			}, 100);
		}
	}

	//var CommonUtils = function(){
	//	
	//}

	//校验文字
	Utils.isTextNotNull = function(arr) {
		var _b = true;
		var _i = 0;
		arr.forEach(function(d, i) {
			var _t = $.trim($(d).val());
			if(_t == undefined || _t == "") {
				console.log(d.selector);
				//          	$(d.selector).attr("style","border-bottom: 1px solid red!important;border-radius: 0;"); 
				$(d.selector).parents("li").addClass("info");
				var tet = $.trim($(d.selector).parents("li").text());
				console.log(tet);

				plus.nativeUI.toast(tet + "不能为空", {
					duration: "short",
					verticalAlign: "top"
				});
				$(d).focus();
				_i++;
				_b = false;

			} else {
				//              $(d).css("border","1px solid #c8c7cc");
				$(d).css("border", "none");

				$(d.selector).parents("li").removeClass("info");
			}
			if(_i == 2) {
				$(arr[0]).focus();
			}
		});
		return _b;
	}

	//校验是否输入非法字符
	Utils.specialSymbol = function() {
		var pattern = new RegExp('[\|\\\/:\*\?"<>]');
		var _v = $.trim($(name).val());
		if(pattern.test(_v)) {
			$(name).css("border", "1px solid red");
			plus.nativeUI.alert("用户名包含非法字符");
			return false;
		}
		return true;
	}

	//切换

	Utils.tabborder = function(tabborder) {
		var index = $(this).index() + 1;
		if(index == 2) {
			index = 3
		}
//		console.log(index);
		$(this).siblings("div").find("div").removeAttr("style");
		if(index === 1){
			$(this).find("div").css("background-image", "url(../../img/login.png)");
//			$(this).siblings("div").find("div").eq(0).css("background-image", "../../img/ei_0" + index + ".png");
		}else{
			$(this).find("div").css("background-image", "url(../../img/pwd.png)");
//			$(this).siblings("div").find("div").eq(0).css("background-image", "../../img/ei_0" + index + ".png");
		}

		$(this).css("border-bottom", "1px solid #e6d973");
		$(this).siblings("div").css("border-bottom", "1px solid #dddddd");

	}

	Utils.tabborderregister = function(tabborder) {

		var index = $(this).index() + 1;

		if(index > 3) {
			index = 3
		}

		$(this).siblings("div").find("div").removeAttr("style");
		$(this).find("div").css("background-image", "url(../../img/l_0" + index + ".png)");
		$(this).siblings("div").find("div").eq(0).css("background-image", "../../img/ei_0" + index + ".png");

		$(this).css("border-bottom", "1px solid #e6d973");
		$(this).siblings("div").css("border-bottom", "1px solid #dddddd");

	}

	//密码长度限定为6-15位
	Utils.pwdLimite = function() {
		var pattern = new RegExp('^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,12}$');
		var _v = $.trim($(name).val());
		if(pattern.test(_v)) {

			return false;
		}
		return true;
	}

	//判断密码是否一致
	Utils.pwdValidate = function(Oldpwd, Newpwd) {
		if($(Oldpwd).val().length > 5 && $(Oldpwd).val().length < 16) {

		} else {
			plus.nativeUI.alert("密码长度为6-15位");
			return false;
		}
		if($(Oldpwd).val() == $(Newpwd).val()) {
			return true;
		} else {
			plus.nativeUI.alert("密码不一致");
			return false;
		}
	}

	Utils.objToArr = function(_objToArr) {
		var arr = [];　　
		for(var i in _objToArr) {　　
			var str = _objToArr[i] // i 就代表 data 里面的 user pass 等等 而data[ i ] 就代表 userName    12121 就是 i 所对应的值；
			　　 arr.push(str);
		}
		return arr
	}

	Utils.objToArr = function(_objToArr) {
		var arr = [];　　
		for(var i in _objToArr) {　　
			var str = _objToArr[i] // i 就代表 data 里面的 user pass 等等 而data[ i ] 就代表 userName    12121 就是 i 所对应的值；
			　　 arr.push(str);
			$("." + i).val(_objToArr[i]);
			$("." + i).html(_objToArr[i]);

		}
		return arr
	}

	Utils.refresh = function() {
		window.location.reload();
	}

	//密码长度限定为6-15位
	Utils.judgePwd = function(pwd) {
		var pattern = /^[0-9_a-zA-Z]{6,15}$/;
		console.log(pattern.test(pwd));
		if(pattern.test(pwd)) {
			return false;
		}
		return true;
	}

	Utils.confirm = function(func, msg) {
		console.log(msg);
		if(msg == undefined || msg == null) {
			msg = "是否确认提交信息？";
		}
		plus.nativeUI.confirm(msg, function(e) {
			console.log(e.index);
			if(e.index == 0) {
				func();
			} else {}
		}, "提示信息", ["是", "否"])
	}
	
	Utils.formatStrDate = function(time){
		var now = new Date();
		var year = now.getFullYear();
		var month = now.getMonth()+1;
		var day = now.getDate();
		var hour = time.substring(0,2);
		var mm = time.substring(3,5);
		var ss = '00';
		console.log(year+"-"+month+"-"+day+" "+hour+":"+mm+":"+ss);
		var afterFormatDate = new Date(year,month,day,hour,mm,ss);
		return afterFormatDate;
	}
	
//	上拉加载方法
//	Utils.pullRefresh = function(contain,pullFun){
//		pullRefresh : {
//		    container:"'"+contain+"'",//待刷新区域标识，querySelector能定位的css选择器均可，比如：id、.class等
//		    up : {
//		      height:20,//可选.默认50.触发上拉加载拖动距离
//		      auto:true,//可选,默认false.自动上拉加载一次
//		      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
//		      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
//		      callback :pullFun() //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
//		    }
//		}
//	}

	Utils.removeLocalStorage = function (){
		localStorage.removeItem("districtData");
	}
	
	
	Utils.getNowDate = function(){
		var _dDate = new Date();
		var _nowDate = _dDate.getFullYear() + "-";
		if( (_dDate.getMonth() + 1) <10 ){
			_nowDate = _nowDate + "0" + (_dDate.getMonth() + 1);
		}else{
			_nowDate = _nowDate + (_dDate.getMonth() + 1);
		} 
		if(_dDate.getDate() < 10){
			_nowDate = _nowDate + "-0" + _dDate.getDate();
		}else{
			_nowDate = _nowDate + "-" + _dDate.getDate();
		}
		return _nowDate;
	}
	
	Utils.formatNowDate = function(_date){
		var result = "";
		var dArr = _date.split("-");
		result = dArr[0]+"-";
		if(dArr[1].length != 2){
			result = result + "0"+ dArr[1]+"-";
		}else{
			result = result + dArr[1]+"-";
		}
		if(dArr[2].length != 2){
			result = result + "0"+ dArr[2];
		}else{
			result = result + dArr[2];
		}
		return result;
	}

})();

/*
$.fn.longPress = function(fn) {
    var timeout = undefined;
    var $this = this;
    for(var i = 0;i<$this.length;i++){
        $this[i].addEventListener('touchstart', function(event) {
            $(".risk-pass button").removeClass("active");
            $this.addClass("active");
            timeout = setTimeout(function(e){
                $('.delete-btn').show();
                $('.delete-btn').off().on("click",function(){
                    $this.remove();
                    $('.delete-btn').hide();
                })
            }, 800);  //长按时间超过800ms，则执行传入的方法
        }, false);
        $this[i].addEventListener('touchend', function(event) {
            clearTimeout(timeout);  //长按时间少于800ms，不会执行传入的方法
        }, false);
    }
}
$(".risk-pass button").not(".delete-btn").each(function(){
    $(this).longPress();
})
*/

var commonUtil = function() {
	this.authorName = "珠航校车"

	this.localUrl = function(url) {
		location.href = url
	}
}

