/**
 * 公共模板渲染，加载事件，点击事件复用封装
 * 
 * 插件作者：陈荣森
 * 开发时间：2017-07-25
 * 
 */
	
var opts = {
	    
	  /****我要收车*****/	   
        workbench:
        {
        	/***f
           *@author： sen @date:2017-7-20
           *下面是按钮的封装
           * beforeSenData为第一次进入调用的方法如，进入页面查询-加载
           * btn为按钮文字
           * btnClass为id,class样式类
           * btnAjaxData为有按钮时点击事件
           * attr为对应遍历
           * ------------------------------
           * 实例若btnClass:"SShan"
           * ASShan为加载进来时首次执行事件
           * BSShan为点击按钮执行的事件
           ***/
        	beforeSenData:function(){
                return  "A"+this.btnClass+"("+JSON.stringify(this)+")"
        	},
            btn:"固定用车",    
        	btnClass:"workbench", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"
        	},       
            target:".mcontent ul:first li .run-container",
            attr:[
                {
                    dataTips:"workbench",
                    name:"出车时间",
                    datekepter:"true",                   
//                  texts:tableName.data,
                    iconClass:"orc_runningTime",
                    btnTimeClick:"true"
                },
                {
                    dataTips:"backlogAuditTask",
                    CanWrite:"true",
                    name:"车牌号",
                    iconClass:"orc_licenseNumber dp_licenseNumber"
                },
                {
                    dataTips:"workbench",
                    name:"固定路线",
                    iconClass:"rt_name"
                },
                {
                    dataTips:"workbench",
                    CanWrite:"true",
                    name:"乘务员",
                    iconClass:"ep_idSteward ep_name"
                },
                {
                    dataTips:"backlogSurvey",
                    name:"早上出车公里数",
                    iconClass:"orc_onRunningNumber SenToSshan",
                    CanWrite:"true"
                },
                {
                    dataTips:"backlogFxcScheme2",
                    name:"下午收车公里数",
                    iconClass:"orc_offRunningNumber SenToSshan",
                    CanWrite:"true"
                },
                {
                    dataTips:"backlogTask",
                    name:"路桥费(元)",
                    iconClass:"orc_bridgeMoney SenToSshan",
                    CanWrite:"true",
                    texts:"0.0",
                    inputType:"number"
                },
                {
                    dataTips:"backlogTask",
                    name:"停车费(元)",
                    iconClass:"orc_stopMoney SenToSshan",
                    CanWrite:"true",
                    texts:"0.0",
                    inputType:"number"
                    
                    
                },
//              {
//                  dataTips:"backlogAuditTask",
//                  name:"调动说明",
//                  iconClass:"orc_declare SenToSshan",
//                  CanWrite:"true"
//              },
                        
            ]
        },
	    /****故障上报*****/
	   
        errorSubmit:
        {
        	/***
           *下面是按钮的封装
           * beforeSenData为第一次进入调用的方法如，进入页面查询-加载
           * btn为按钮文字
           * btnClass为id,class样式类
           * btnAjaxData为有按钮时点击事件
           * attr为对应遍历
           * ------------------------------
           * 实例若btnClass:"SShan"
           * ASShan为加载进来时首次执行事件
           * BSShan为点击按钮执行的事件
           ***/
        	beforeSenData:function(){
                return  "A"+this.btnClass+"("+JSON.stringify(this)+")"
        	},
//      	function(){
//
//      
//   		 eval("A"+this.btnClass+"("+JSON.stringify(this)+")");
//      	
//      	},
            btn:"提交",    
        	btnClass:"errorSubmit", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"
        	},       
            target:".mcontent ul:first li .run-container",
            attr:[
                {
                    dataTips:"workbench",
                    name:"车牌",
                    CanWrite:"true",                    
                    iconClass:"SlicenseNumber fd_licenseNumber"
                },
//              {
//                  dataTips:"backlogAuditTask",
//                  name:"上报时间",
//                  iconClass:"jiheallot",
//                  datekepter:"true",
//                  jumpUrl:"../commonPages/list.html?commonPages=backlogAuditTask"
//              },
                {
                    dataTips:"workbench",
                    name:"上报司机",
                    iconClass:"ep_name"
                },
                {
                    dataTips:"workbench",
                    name:"故障地址",
                    iconClass:"fd_address",
                    CanWrite:"true"
                },
                {
                    dataTips:"backlogSurvey",
                    name:"报修里程",
                    iconClass:"fd_mileage",
                    CanWrite:"true"
                },
                {
                    dataTips:"backlogFxcScheme2",
                    readonly:"readonly",
                    name:"所属车队",
                    iconClass:"motorcade"
                },
                {
                    dataTips:"backlogTask",
                    name:"所属区域",
                    readonly:"readonly",
                    iconClass:"district"
                },
                {
                    dataTips:"backlogAuditTask",
                    name:"所属学校",
                    readonly:"readonly",
                    iconClass:"schools"
                },
                {
                    dataTips:"backlogAuditTask",
                    name:"故障描述",
                    iconClass:"fd_describe",
                    CanWrite:"true",
                    textareas:"1"
                },           
            ]
        },
        
        /********加油申请*******/
        jaiyouPages:{
        	beforeSenData:function(){
     		 eval("A"+this.btnClass+"("+JSON.stringify(this)+")");       		
        	},
            btn:"提交",    
        	btnClass:"jaiyouPages", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"
        	}, 
            target:".mcontent ul:last li .run-container",
            attr:[
                {
                    dataTips:"checkReport",
                    name:" 加油车辆",
                    CanWrite:"true",
                    iconClass:"ra_licenseNumber SlicenseNumber"
                },
                {
                    dataTips:"checkOpinion",
                    name:"申请时间",
                    iconClass:"jigiangao ra_time",        
                    CanWrite:"true",
                    btnTimeClick:"regularDay",
                    datekepter:"true",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"申请司机",
                    iconClass:"ep_name jk",
                    readonly:"readonly",
                    
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
              
                {
                    dataTips:"checkOpinion",
                    name:"所属区域",  
                    iconClass:"district",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"所属学校",  
                    iconClass:"schools",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                  {
                    dataTips:"checkOpinion",
                    name:"申请地点",
                    CanWrite:"true",
                    iconClass:"ra_address",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
            ]
        },
        
       
        
        /*******个人信息*******/
        myinfoUser:{
        	beforeSenData:function(){
     		 eval("A"+this.btnClass+"("+JSON.stringify(this)+")");       		
        	},
//          btn:"提交",    
        	btnClass:"myinfoUser", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"
        	}, 
            target:".mcontent ul:last li .run-container",
            attr:[
                {
                    dataTips:"checkReport",
                    name:" 姓名",
                    iconClass:"ep_name",
                    jumpUrl:"../commonPages/list.html?checkReport"
                },
                {
                    dataTips:"checkOpinion",
                    name:"性别",
                    iconClass:"ep_sex",                 
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"年龄",
                    iconClass:"ep_age",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"入职时间",
                    iconClass:"ep_hiredate",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"紧急联系人",
                    iconClass:"ep_emergencyContact",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"紧急联系人电话",
                    iconClass:"ep_ecPhone",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"通讯地址",
                    iconClass:"ep_familyAddress",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                             
            ]
        },
        
        /*******驾驶证信息*******/       
        myinfoJiashi:{
        	beforeSenData:function(){
     		 eval("A"+this.btnClass+"("+JSON.stringify(this)+")");       		
        	},
//          btn:"提交",    
        	btnClass:"myinfoJiashi", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"
        	}, 
            target:".mcontent ul:last li .run-container",
            attr:[
                {
                    dataTips:"checkReport",
                    name:" 驾驶证号",
                    iconClass:"ep_dln",
                    jumpUrl:"../commonPages/list.html?checkReport"
                },
                {
                    dataTips:"checkOpinion",
                    name:"驾龄",
                    iconClass:"driverExp",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"准驾车型",
                    iconClass:"ep_quasiDrivingType",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"初次领证日期",
                    iconClass:"ep_dlFirstTime",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"驾驶证有效期",
                    iconClass:"ep_dl",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 
                             
            ]
        },
        /*******车队信息*******/              
        myinfoCarList:{
        	beforeSenData:function(){
     		 eval("A"+this.btnClass+"("+JSON.stringify(this)+")");       		
        	},
//          btn:"提交",    
        	btnClass:"myinfoCarList", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"
        	}, 
            target:".mcontent ul:last li .run-container",
            attr:[
//              {
//                  dataTips:"checkReport",
//                  name:"所属车队负责人",
//                  iconClass:"bg-dsp",
//                  jumpUrl:"../commonPages/list.html?checkReport"
//              },
                {
                    dataTips:"checkOpinion",
                    name:"所属车队长",
                    iconClass:"ep_captain",                   
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"所属运营经理",
                    iconClass:"ep_principal",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"所属区域",
                    iconClass:"district",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                
                             
            ]
        },
        
        
        /******报销-加油费********/
        FuelCharge:{
        	beforeSenData:function(){
     		eval("A"+this.btnClass+"("+JSON.stringify(this)+")");
        		
        	},
            btn:"提交",    
        	btnClass:"FuelCharge", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"
        	},
            target:".mcontent ul:last li .run-container",
            attr:[
                {
                    dataTips:"checkReport",
                    CanWrite:"true",
                    name:"车牌",
                    iconClass:"rbs_licenseNumber SlicenseNumber",
                    jumpUrl:"../commonPages/list.html?checkReport"
                },
                {
                    dataTips:"checkOpinion",
                    name:"上报时间",
                    iconClass:"rbs_time",
                    CanWrite:"true",                    
                    datekepter:"true",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"上报司机",
                    iconClass:"ep_name",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"所属区域",
                    readonly:"readonly",
                    iconClass:"district",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"所属车队",
                    readonly:"readonly",
                    iconClass:"motorcade",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"所属学校",
                    readonly:"readonly",
                    iconClass:"schools",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"加油类型",
                    CanWrite:"true",
                    iconClass:"rbs_type ss",
                    jiatype:"1",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"加油量",
                    CanWrite:"true",
                    iconClass:"rbs_remark sen_remark jiayouliang", 
                    texts:"0.0",
                    inputType:"number",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"金额",
                    CanWrite:"true",
                    iconClass:"rbs_money",
                     texts:"0.0",
                      inputType:"number",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                
                             
            ]
        },
        /******报销-路桥费********/
        LuqiaoCharge:{
        	beforeSenData:function(){
     		eval("A"+this.btnClass+"("+JSON.stringify(this)+")");
        		
        	},
            btn:"提交",    
        	btnClass:"LuqiaoCharge", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"
        	},
            target:".mcontent ul:last li .run-container",
            attr:[
                {
                    dataTips:"checkReport",
                    CanWrite:"true",
                    name:"车牌",
                    iconClass:"rbs_licenseNumber SlicenseNumber",
                    jumpUrl:"../commonPages/list.html?checkReport"
                },
                {
                    dataTips:"checkOpinion",
                    name:"上报时间",
                    CanWrite:"true",
                    iconClass:"rbs_time",
                    datekepter:"true",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"上报司机",
                    iconClass:"ep_name",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"所属区域",
                    readonly:"readonly",
                    iconClass:"district",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"所属车队",
                    readonly:"readonly",
                    iconClass:"motorcade",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"所属学校",
                    readonly:"readonly",
                    iconClass:"schools",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"缴费地点",
                    CanWrite:"true",
                    iconClass:"rbs_remark",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"金额",
                    inputType:"number",
                     texts:"0.0",
                    CanWrite:"true",
                    iconClass:"rbs_money",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },                                                             
            ]
        },
        
        /******报销-停车费********/
        ParkingCharge:{
        	beforeSenData:function(){ 
 
     		eval("A"+this.btnClass+"("+JSON.stringify(this)+")");

        	},
            btn:"提交",    
        	btnClass:"ParkingCharge", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"
        	},
            target:".mcontent ul:last li .run-container",
            attr:[
                {
                    dataTips:"checkReport",
                    CanWrite:"true",
                    name:"车牌",
                    iconClass:"rbs_licenseNumber SlicenseNumber",
                    jumpUrl:"../commonPages/list.html?checkReport"
                },
                {
                    dataTips:"checkOpinion",
                    name:"上报时间",
                    CanWrite:"true",
                    iconClass:"rbs_time",
                    datekepter:"true",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"上报司机",
                    iconClass:"ep_name",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"所属区域",
                    readonly:"readonly",
                    iconClass:"district",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"所属车队",
                    readonly:"readonly",
                    iconClass:"motorcade",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"所属学校",
                    readonly:"readonly",
                    iconClass:"schools",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"缴费地点",
                    CanWrite:"true",
                    iconClass:"rbs_remark",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"金额",
                    inputType:"number",
                     texts:"0.0",
                    CanWrite:"true",
                    iconClass:"rbs_money",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },                                                             
            ]
        },
        
        /******报销-维修费********/
        RepairCharge:{
        	beforeSenData:function(){ 
 
     		eval("A"+this.btnClass+"("+JSON.stringify(this)+")");

        	},
            btn:"提交",    
        	btnClass:"RepairCharge", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"
        	},
            target:".mcontent ul:last li .run-container",
            attr:[
                {
                    dataTips:"checkReport",
                    CanWrite:"true",
                    name:"车牌",
                    iconClass:"SlicenseNumber",
                    jumpUrl:"../commonPages/list.html?checkReport"
                },
                {
                    dataTips:"checkOpinion",
                    name:"上报时间",
                    CanWrite:"true",
                    iconClass:"rbs_time",
                    datekepter:"true",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"上报司机",
                    iconClass:"ep_name",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    CanWrite:"true",
                    name:"经手人",
                    iconClass:"rbs_handledBy",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"领款人",
                    CanWrite:"true",
                    iconClass:"rbs_payee ep_name",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"所属区域",
                    readonly:"readonly",
                    iconClass:"district",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"所属车队",
                    readonly:"readonly",
                    iconClass:"motorcade",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"所属学校",
                    iconClass:"schools",
                    readonly:"readonly",                   
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"金额",
                    CanWrite:"true",
                    iconClass:"rbs_money",
                     texts:"0.0",
                    inputType:"number",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                }, 
                {
                    dataTips:"checkOpinion",
                    name:"描述",
                    CanWrite:"true",
                    textareas:"1",
                    iconClass:"rbs_remark",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
            ]
        },
        
        /******报销-保养费********/
        maintainCharge:{
        	beforeSenData:function(){
     		eval("A"+this.btnClass+"("+JSON.stringify(this)+")");       		
        	},
            btn:"提交",    
        	btnClass:"maintainCharge", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"              
        	},
            target:".mcontent ul:last li .run-container",
            attr:[
                {
                    dataTips:"checkReport",
                    CanWrite:"true",
                    name:"车牌",
                    iconClass:"rbs_licenseNumber SlicenseNumber",
                    jumpUrl:"../commonPages/list.html?checkReport"
                },
                {
                    dataTips:"checkOpinion",
                    name:"上报时间",
                    CanWrite:"true",
                    iconClass:"rbs_time",
                    datekepter:"true",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"上报司机",
                    iconClass:"ep_name",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"经手人",
                    CanWrite:"true",
                    iconClass:"rbs_handledBy",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"领款人",
                    CanWrite:"true",
                    iconClass:"rbs_payee ep_name",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"所属区域",
                    iconClass:"district",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"所属车队",
                    iconClass:"motorcade",
                    readonly:"readonly",                    
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"所属学校",
                    iconClass:"schools",
                    readonly:"readonly",                    
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"金额",
                    CanWrite:"true",
                    iconClass:"rbs_money",
                     texts:"0.0",
                    inputType:"number",                             
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                }, 
                {
                    dataTips:"checkOpinion",
                    name:"描述",
                    textareas:"1",
                    CanWrite:"true",
                    iconClass:"rbs_remark",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
            ]
        },
        
        /******临时出车-二次收车********/
        closeCar:{
        	beforeSenData:function(){
     		eval("A"+this.btnClass+"("+JSON.stringify(this)+")");       		
        	},
            btn:"收车",    
        	btnClass:"closeCar", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"
        	},
            target:".mcontent ul:last li .run-container",
            attr:[
                {
                    dataTips:"checkReport",
                    name:"日期",
                    datekepter:"true",
                    readonly:"readonly",
                    btnTimeClick:"true",
                    iconClass:"bg-dsp",
                    jumpUrl:"../commonPages/list.html?checkReport"
                },
                {
                    dataTips:"checkOpinion",
                    name:"车牌号",
                    iconClass:"dp_licenseNumber orc_licenseNumber",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"线路名称",
                    iconClass:"rt_name",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"乘务员",
                    iconClass:"ep_idSteward ep_name",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"出车公里数",
                    iconClass:"orc_onRunningNumber",
                    jumpUrl:"../commonPages/list.html?checkOpinion",
                    CanWrite:"true"
                },
                 {
                    dataTips:"checkOpinion",
                    name:"收车公里数",                
                    iconClass:"orc_offRunningNumber",
                    jumpUrl:"../commonPages/list.html?checkOpinion",
                    CanWrite:"true"
                },
                {
                    dataTips:"checkOpinion",
                    name:"路桥费",
                    inputType:"number",
                    CanWrite:"true",
                     texts:"0.0",
                    iconClass:"orc_bridgeMoney",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkOpinion",
                    name:"停车费",
                    inputType:"number",
                    CanWrite:"true",
                     texts:"0.0",
                    iconClass:"orc_stopMoney",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                }, 
                {
                    dataTips:"checkOpinion",
                    name:"出车事由",
                    CanWrite:"true",
                    iconClass:"orc_declare",
                    textareas:"1",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
            ]
        },
        
        /*****************车辆档案**********************/
        carlistName:{
        	beforeSenData:function(){
     		eval("A"+this.btnClass+"("+JSON.stringify(this)+")");       		
        	},
//          btn:"收车",    
        	btnClass:"carlistName", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"
        	},
            target:".mcontent ul:last li .run-container",
            attr:[
                {
                    dataTips:"checkReport",
                    name:"品牌",                 
                    readonly:"readonly",
                    btnTimeClick:"true",
                    iconClass:"car_brand",
                    
                },
                {
                    dataTips:"checkOpinion",
                    name:"车牌号",
                    iconClass:"car_licenseNumber",
                    
                },
                {
                    dataTips:"checkOpinion",
                    name:"发动机号",
                    iconClass:"car_engineNumber",
          
                },
                 {
                    dataTips:"checkOpinion",
                    name:"车型号",
                    iconClass:"car_vin",

                },
                {
                    dataTips:"checkOpinion",
                    name:"座位数",
                    iconClass:"car_seating",
                  
                },
                 {
                    dataTips:"checkOpinion",
                    name:"出厂时间",
                    iconClass:"car_deliveryTime",

                },
                 {
                    dataTips:"checkOpinion",
                    name:"发证日期",
                    iconClass:"car_certificateTime",
                 
                },
                {
                    dataTips:"checkOpinion",
                    name:"登记证编号",
//                  inputType:"number",
                    iconClass:"car_certificateNumber",
              
                },
                {
                    dataTips:"checkOpinion",
                    name:"组织机构代码证书",
                    inputType:"number",
                    iconClass:"car_occ",
         
                }, 
                {
                    dataTips:"checkOpinion",
                    name:"挂靠",
                    iconClass:"dis_name",
                 
                },
                {
                    dataTips:"checkOpinion",
                    name:"交强险起止日期",
                    iconClass:"car_mtliTime",
                 
                },{
                    dataTips:"checkOpinion",
                    name:"座位险起止日期",
                    iconClass:"car_seatRisksTime",
                 
                },{
                    dataTips:"checkOpinion",
                    name:"第三者险起止日期",
                    iconClass:"car_TPLITime",
                 
                },{
                    dataTips:"checkOpinion",
                    name:"维保记录",
                    iconClass:"jigiangao",
                 
                },
//              {
//                  dataTips:"checkOpinion",
//                  name:"一级维保负责人",
//                  iconClass:"",
//               
//              },
                {
                    dataTips:"checkOpinion",
                    name:"一级维护内容",
                    iconClass:"car_oneLevelDetails",
                 
                },{
                    dataTips:"checkOpinion",
                    name:"下次一级维护时间",
                    iconClass:"car_oneLevelTime",
                 
                },
//              {
//                  dataTips:"checkOpinion",
//                  name:"一级维保负责人",
//                  iconClass:"",
//               
//              },
                {
                    dataTips:"checkOpinion",
                    name:"二级维护内容",
                    iconClass:"car_twoLevelDetails",
                 
                },{
                    dataTips:"checkOpinion",
                    name:"下次二级维护时间",
                    iconClass:"car_twoLevelTime",
                 
                },
            ]
        },
        
         /*****************维修报销**********************/
        Maintenance:{
        	beforeSenData:function(){
     		eval("A"+this.btnClass+"("+JSON.stringify(this)+")");       		
        	},
            btn:"提交",    
        	btnClass:"Maintenance", //根据类写相关的点击方法就好了,注:不允许-，￥，*等特殊字符【建议采用驼峰命名法】
        	btnAjaxData:function(){
                return  "B"+this.btnClass+"("+JSON.stringify(this)+")"
        	},
            target:".mcontent ul:last li .run-container",
            attr:[
                {
                    dataTips:"checkReport",
                    name:"日期",                 
                    readonly:"readonly",
                    btnTimeClick:"true",
                    iconClass:"fd_time",
                    
                },
                {
                    dataTips:"checkOpinion",
                    name:"车牌号",
                    iconClass:"fd_licenseNumber",
                    
                },
                {
                    dataTips:"checkOpinion",
                    name:"学校",
                    iconClass:"sc_name",
                    
                },
                {
                    dataTips:"checkOpinion",
                    name:"上报司机",
                    iconClass:"ep_name",
          
                },
                {
                    dataTips:"checkOpinion",
                    name:"故障地址",
                    iconClass:"fd_address",

                },
                 {
                    dataTips:"checkOpinion",
                    CanWrite:"true",
                    name:"处理人",
                    iconClass:"ep_nameDeal fd_handler",
          
                },
                 
                 {
                    dataTips:"checkOpinion",
                    CanWrite:"true",
                    name:"维修点",
                    iconClass:"fd_maintenanceAddr",

                },
                
                 {
                    dataTips:"checkOpinion",
                    CanWrite:"true",
                    name:"维修费用(元)",
                    inputType:"number",
                    iconClass:"fd_money",

                },
                {
                    dataTips:"checkOpinion",
                    readonly:"readonly",
                    name:"故障描述",
                    textareas:"1",
                    iconClass:"fd_describe",
                  
                },
                {
                    dataTips:"checkOpinion",
                    CanWrite:"true",
                    name:"维修描述",
                    textareas:"1",
                    iconClass:"fd_items",
                  
                },
               
            ]
        },
                
    }
    



//校验车牌号
     function cplimite(name){
      	 var pattern = new RegExp('^[京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z]{1}[A-Z]{1}[A-Z0-9]{4}[A-Z0-9挂学警港澳]{1}$');
        var _v =  $.trim(name);
        if(pattern.test(_v)){
         
            return true;
        }
        plus.nativeUI.toast("车牌号有误!", {
			duration: "long",
			verticalAlign: "center"
		});
        return false;
      }
     
$("#car-number-txt").blur(function(){
	console.log($(this).val());
	console.log(cplimite($(this).val()))
})




 



/***
 * /--------listPage---------/
 * @param[workbench][0]:我要收车
 * @param[backlogSurvey][1]:临时出车
 * @param[backlogSurvey][2]:加油申請
 * @param[backlogSurvey][3]:故障上报
 * @param[backlogSurvey][4]:报销
 * @param[backlogSurvey][5]:意见反馈
 * 数字为模板ID号
 * /--------End---------/
 * 
 * ***/
var car_licenseNumber;
if(getParam("commonPages")=="carlistDetail"){
var carlistIndex = getParam("carlistDetailId");
var carlistName = JSON.parse(localStorage.getItem("getAllCarsNoMaintain"));
if(carlistName.length>0){
car_licenseNumber = carlistName[carlistIndex].car_licenseNumber;
}
console.log(localStorage.getItem("getAllCarsNoMaintain"))
console.log(car_licenseNumber)
}
var listPageTitile = ["我要收车","临时/二次收车","加油申请","故障上报","报销","意见反馈","个人信息","驾驶证信息","车队信息","报销-加油","报销-路桥","报销-停车","报销-维修","报销-保养",car_licenseNumber,"维修报销"];
var listPage = ["workbench","backlogSurvey","backlogCarjy","backlogTask","backlogAuditTask","backlogOpinion","myinfo-user","myinfo-jiashi","myinfo-carList","FuelCharge","LuqiaoCharge","ParkingCharge","RepairCharge","maintainCharge","carlistDetail","Maintenance"];
var listPageData = [opts.workbench,opts.closeCar,opts.jaiyouPages,opts.errorSubmit,"4-报销-没有","5-意见反馈-没有",opts.myinfoUser,opts.myinfoJiashi,opts.myinfoCarList,opts.FuelCharge,opts.LuqiaoCharge,opts.ParkingCharge,opts.RepairCharge,opts.maintainCharge,opts.carlistName,opts.Maintenance]


/*根据模板ID获取对应dom插入*/	
listPage.forEach(function(listPage,_i){

//注册一个比较大小的Helper,判断v1是否大于v2
         Handlebars.registerHelper("compare",function(v1,v2,options){
           if(v1 == v2){
            //满足添加继续执行
             return options.fn(this);
           }else{
             //不满足条件执行{{else}}部分
             return options.inverse(this);
           }
         });


if(listPage == getParam("commonPages")){

//	      setDocumentTitle(listPageTitile[_i]);
	      senSaveTitle(listPageTitile[_i]);
	
//注册一个Handlebars模版，通过id找到某一个模版，获取模版的html框架

var myTemplate = Handlebars.compile($("#table-template-2").html());  



//var myTemplate = Handlebars.compile($("#table-template-2").html());   
    
//将json对象用刚刚注册的Handlebars模版封装，得到最终的html，插入到基础table中。
 $('#tableList').html(myTemplate(listPageData[_i]));
 
//setTimeout(function(){

	
	      eval(listPageData[_i].beforeSenData());
	      
	      if(localStorage.getItem("shouche")){
	        listPageTitile[0]= localStorage.getItem("shouche");	      	
	      }
	     if(localStorage.getItem("offRunningNumber") != "null"){
          $(".orc_onRunningNumber").val(localStorage.getItem("offRunningNumber"));
//        $(".fd_mileage").val(localStorage.getItem("getMileage"));	     	          
//        $(".orc_offRunningNumber").val(localStorage.getItem("getMileage"));
	     }
         
	     if(localStorage.getItem("SlicenseNumber")){	      
          $(".SlicenseNumber").val(localStorage.getItem("SlicenseNumber"));
	     }
	     
        if(localStorage.getItem("carboyinfo")){	     
	      var carboyinfo =localStorage.getItem("carboyinfo");
	      carboyinfo = JSON.parse(carboyinfo);	    
          $(".motorcade").val(carboyinfo[0].motorcade.mc_name);
          $(".district").val(carboyinfo[0].district.dis_name);
          if(carboyinfo[0].schools == null){
          	$(".schools").val("");
          }else{
          	$(".schools").val(carboyinfo[0].schools.sc_name);
          }

          
	    }


	      
//},2000)
	
  
}


})





