window.onload = function(){
    var opts = {
        commonPages:
        {
            target:".mcontent ul:first li .run-container",
            attr:[
                {
                    dataTips:"workbench",
                    name:"个人信息",
                    iconClass:"gongzuotai",
                    img:"../../img/m_01.png",
                    jumpUrl:"../commonPages/list.html?commonPages=myinfo-user"
                },
                {
                    dataTips:"backlogSurvey",
                    name:"驾驶证信息",
                    iconClass:"jigou",
                     img:"../../img/m_02.png",
                    jumpUrl:"../commonPages/list.html?commonPages=myinfo-jiashi"
                },
                {
                    dataTips:"backlogFxcScheme2",
                    name:"违章信息",
                    iconClass:"changgui",
                     img:"../../img/m_03.png",
                    jumpUrl:"../commonPages/list2.html?commonPages=myinfo-weizhan"
                    
                },
                {
                    dataTips:"backlogTask",
                    name:"车队信息",
                    iconClass:"workallot",
                     img:"../../img/m_04.png",
                    jumpUrl:"../commonPages/list.html?commonPages=myinfo-carList"
                },
                {
                    dataTips:"backlogAuditTask",
                    name:"行驶记录",
                    iconClass:"jiheallot",
                     img:"../../img/m_05.png",
                    jumpUrl:"../commonPages/list.html?commonPages=myinfo-carResult"
                },
                {
                    dataTips:"backlogOpinion",
                    name:"设置",
                    iconClass:"zhengqiu",
                     img:"../../img/m_06.png",
                    jumpUrl:"../commonPages/list.html?commonPages=myinfo-set"
                },

            ]
        },
        leaderPages:{
            target:".mcontent ul:last li .run-container",
            attr:[
                {
                    dataTips:"checkReport",
                    name:"报告审批",
                    iconClass:"bg-dsp",
                    jumpUrl:"../commonPages/list.html?checkReport"
                },
                {
                    dataTips:"checkOpinion",
                    name:"意见稿审批",
                    iconClass:"jigiangao",
                    jumpUrl:"../commonPages/list.html?checkOpinion"
                },
                {
                    dataTips:"checkAdviceNote",
                    name:"通知书审批",
                    iconClass:"tzs-dsp",
                    jumpUrl:"../commonPages/list.html?checkAdviceNote"
                },
                {
                    dataTips:"checkPapersLockProject",
                    name:"解锁审批",
                    iconClass:"unlock",
                    jumpUrl:"../commonPages/list.html?checkPapersLockProject"
                },
                {
                    dataTips:"checkOffsiteProject",
                    name:"稽核方案审批",
                    iconClass:"jhfa-dsp",
                    jumpUrl:"../commonPages/list.html?checkOffsiteProject"
                },
               /* {
                    dataTips:"checkOffsite",
                    name:"非现场报告待审批",
                    iconClass:"fxc-dsp"
                },*/
                {
                    dataTips:"checkPlanProject",
                    name:"计划审批",
                    iconClass:"xcjh-sp",
                    jumpUrl:"../commonPages/list.html?checkPlanProject"
                },
                {
                    dataTips:"checkTheDateProject",
                    name:"现场日期维护审批",
                    iconClass:"rq-sp",
                    jumpUrl:"../commonPages/list.html?checkTheDateProject"
                },
                {
                    dataTips:"baobiao",
                    name:"报表",
                    iconClass:"baobiao",
                    jumpUrl:false
                },
                {
                    dataTips:"zhanwei",
                    name:"",
                    iconClass:""
                }
            ]
        }
    }

    var _ajax = function (url) {
        return function (param, fn) {
            $.ajax({
                url: url,
                type: "post",
                dataType: "json",
                data: param,
                success: function (data) {
                    fn(data);
                }
            });
        }
    }

    var _setTags = function(opts){
        opts.forEach(function(d){
            var _str = "";
            var _arr = [];
            d.attr.forEach(function(data){
                _str = '<div class="classify-icon"><img src="'+data.img+'"/>' +
                    '</div><div class="classify-text"><span>'+data.name+'</span></div>'
                $("<div>", {
                    "class": "run-classify",
                    "data-tips":data.dataTips,
                    click: function(){
                        if(data.jumpUrl){
                            window.location.href = data.jumpUrl;
                        }else{
                            if(data.jumpUrl === false){
                                plus.nativeUI.alert("该功能正在开发中...");
                            }
                        }
                    }
                }).html(_str).appendTo(d.target);
            })
        });
    }

    //判断是领导还是普通
    var _isLeader = function(){
        if(localStorage.isLeader == "no"){
            _setTags([opts.commonPages]);
          
        }else{
            _setTags([opts.commonPages,opts.leaderPages]);
//          Utils.isSecondPage("isSecondPage");
            if(localStorage.isSecondPage == "yes"){
                
            }else{
                
            }
        }
    }

    var _setTagsNumber = function(){
        var userId = JSON.parse(localStorage.userData).user_id || "";
        _ajax(GlobalUrl() + "pub/gettips")({userId : userId},function(data){
            var _data = data.data;
            for(var key in _data){
                $(".run-classify").each(function(){
                    var _this = this;
                    var _val = _data[key];
                    if(_val["typs"] == $(_this).data("tips") && _val.pj_num + "" != "0"){
                        $(_this).find(".classify-img").append('<span class="run-number">'+_val.pj_num+'</span>')
                    }
                })
            }
        })
    }

//  var opt = {
//      clickButton:".run-classify:eq(2)",
//      dialogClass:"index-dialog",
//      options:[
//          {
//              content:"录像",
//              class:"video",
//              clickFn:"getVideo()"
//          },
//          {
//              content:"录音",
//              class:"audio",
//              clickFn:"audioRecordStart()"
//          },
//          {
//              content:"拍照",
//              class:"picture",
//              clickFn:"getImage()"
//          },
//          {
//              content:"取消",
//              class:"del-cancel"
//          }
//      ]
//  }

    var userId = JSON.parse(localStorage.userData).user_id || "";

    var _getProjectInfo = function(){
        if(!localStorage.auditList){
            _ajax(GlobalUrl() + "pub/gequery_condtion")({userId:userId},function(data){
                localStorage.auditList = JSON.stringify(data.data.body[0].auditList);
                localStorage.pjStateList = JSON.stringify(data.data.body[0].pjStateList);
            });
        }
    }

    _getProjectInfo();

    var _vagueSearchMain = function(obj){
        if(obj.pjstate === ""){
            localStorage.vague = JSON.stringify(obj);
            window.location.href = "../commonPages/list.html?workbench?vague";
        }
    }

    var _vagueSearch = function(){
        Utils.onEnterDown(function(){
            if($.trim($(".run-search input").val()) !== "" && (localStorage.isSecondPage == "undefined" || !localStorage.isSecondPage)){
                var obj = {};
                obj.searchKey = $.trim($(".run-search input").val());
                obj.userId = userId,
                obj.pjstate = "",
                obj.pjcode = ""
                _vagueSearchMain(obj);
            }
        });
    }


    !(function () {
        localStorage.removeItem("filterParam");
        _isLeader();
        setInterval(function(){
            _setTagsNumber();
        },1000*20);
        _setTagsNumber();
//      Utils.showDialog(opt);
        _vagueSearch();
    })();

}

var isCreate = true;
function createItemC(entry){
    if(isCreate){
        window.location.href = "../commonPages/rename.html?"+entry.name;
    }else{
        entry.remove(function(entry){
        },function(exp1){
        });
        isCreate = true;
    }
}

function cancelAudio(){
    audioRecordStop();
    $("#record").hide();
    isCreate = false;
}

$("body").on("click",".cancel",function(){
    cancelAudio();
})

function resetback(){//点击手机上的   返回   按钮
    if($("#record").css("display") === 'block'){
        cancelAudio();
        return;
    }
    if($(".run-delete:last").css("display") !== 'none'){
        $(".run-mask").hide();
        $(".run-delete").hide();
        return;
    }
    var _confirm = function(){
        var btn = ["确定", "取消"];
        mui.confirm('确认关闭当前窗口？', '提示', btn, function(e) {
            if(e.index == 0) {
                try{//清掉title文件记录
                    mui.init({});
                    mui.plusReady(function() {
                        plus.io.requestFileSystem( plus.io.PRIVATE_DOC, function( fs ) {
                            fs.root.getFile('title.config',{create:true}, function(fileEntry){
                                //开始写入文件  (覆盖式写入)
                                fileEntry.createWriter( function (writer) {
                                    writer.write("");//将当前页面的标题写入文件
                                }, function ( e2 ) { });
                            });
                        }, function ( exp3 ) { });
                    });
                }catch(exp3){}
                plus.runtime.quit(); //退出APP
            }
        });
    }
    _confirm();

}